| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::cuda::DensePyrLKOpticalFlow Class Referenceabstract
CUDA-accelerated Computer Vision » Optical Flow

Class used for calculating a dense optical flow. More...

`#include <opencv2/cudaoptflow.hpp>`

Inheritance diagram for cv::cuda::DensePyrLKOpticalFlow:

## Public Member Functions
virtual int | getMaxLevel () const =0
virtual int | getNumIters () const =0
virtual bool | getUseInitialFlow () const =0
virtual Size | getWinSize () const =0
virtual void | setMaxLevel (int maxLevel)=0
virtual void | setNumIters (int iters)=0
virtual void | setUseInitialFlow (bool useInitialFlow)=0
virtual void | setWinSize (Size winSize)=0
Public Member Functions inherited from cv::cuda::DenseOpticalFlow
virtual void | calc (InputArray I0, InputArray I1, InputOutputArray flow, Stream &stream=Stream::Null())=0
| Calculates a dense optical flow. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< DensePyrLKOpticalFlow > | create (Size winSize=Size(13, 13), int maxLevel=3, int iters=30, bool useInitialFlow=false)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class used for calculating a dense optical flow.

The class can calculate an optical flow for a dense optical flow using the iterative Lucas-Kanade method with pyramids.

## Member Function Documentation

## § create()

static Ptr<DensePyrLKOpticalFlow> cv::cuda::DensePyrLKOpticalFlow::create | ( | Size | winSize = `Size(13, 13)`,
|  | int | maxLevel = `3`,
|  | int | iters = `30`,
|  | bool | useInitialFlow = `false`
| ) |  |
| static

## § getMaxLevel()

virtual int cv::cuda::DensePyrLKOpticalFlow::getMaxLevel | ( |  | ) | const
| pure virtual

## § getNumIters()

virtual int cv::cuda::DensePyrLKOpticalFlow::getNumIters | ( |  | ) | const
| pure virtual

## § getUseInitialFlow()

virtual bool cv::cuda::DensePyrLKOpticalFlow::getUseInitialFlow | ( |  | ) | const
| pure virtual

## § getWinSize()

virtual Size cv::cuda::DensePyrLKOpticalFlow::getWinSize | ( |  | ) | const
| pure virtual

## § setMaxLevel()

virtual void cv::cuda::DensePyrLKOpticalFlow::setMaxLevel | ( | int | maxLevel | ) |
| pure virtual

## § setNumIters()

virtual void cv::cuda::DensePyrLKOpticalFlow::setNumIters | ( | int | iters | ) |
| pure virtual

## § setUseInitialFlow()

virtual void cv::cuda::DensePyrLKOpticalFlow::setUseInitialFlow | ( | bool | useInitialFlow | ) |
| pure virtual

## § setWinSize()

virtual void cv::cuda::DensePyrLKOpticalFlow::setWinSize | ( | Size | winSize | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudaoptflow.hpp